%global modname pycxx

Name:           python-%{modname}
Version:        7.1.8
Release:    1%{?dist}
Summary:        Write Python extensions in C++

License:        BSD
URL:            http://CXX.sourceforge.net/

BuildArch:      noarch

BuildRequires:  python3-setuptools

Source0:        http://downloads.sourceforge.net/cxx/%{modname}-%{version}.tar.gz
Patch0:         %{name}-7-change-include-paths.patch


%global _description\
PyCXX is a set of classes to help create extensions of Python in the\
C++ language. The first part encapsulates the Python C API taking care\
of exceptions and ref counting. The second part supports the building\
of Python extension modules in C++.

%description %_description


%package -n python%{python3_pkgversion}-%{modname}-devel
Summary:        PyCXX header and source files
BuildRequires:  python%{python3_pkgversion}-devel
Requires:       python%{python3_pkgversion}

%description -n python%{python3_pkgversion}-%{modname}-devel %_description

The python%{python3_pkgversion}-%{modname}-devel package provides the header and source files
for Python 3.  There is no non-devel package needed.

%prep
%autosetup -p1 -n %{modname}-%{version}


%build


%install
%global py_install_args --prefix=%{_prefix} --install-headers=%{_includedir}/CXX --install-data=%{_usrsrc}
%py3_install -- %{py_install_args}

mkdir -p %{buildroot}%{_datadir}/pkgconfig
cat > %{buildroot}%{_datadir}/pkgconfig/PyCXX.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
includedir=%{_includedir}
srcdir=%{_usrsrc}/CXX

Name: PyCXX
Description: Write Python extensions in C++
Version: %{version}
Cflags: -I\${includedir}
EOF


%check
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion PyCXX)" = "%{version}"


%files -n python%{python3_pkgversion}-%{modname}-devel
%doc README.html COPYRIGHT Doc/Python3/
%dir %{_includedir}/CXX
%{_includedir}/CXX/*.hxx
%{_includedir}/CXX/*.h
%{_includedir}/CXX/Python3
%{python3_sitelib}/CXX*
%dir %{_usrsrc}/CXX
%{_usrsrc}/CXX/*.cxx
%{_usrsrc}/CXX/*.c
%{_usrsrc}/CXX/Python3
%{_datadir}/pkgconfig/PyCXX.pc


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1.8-1
- initial build
